import { Nullable } from '@univerjs/core';
import { BaseObject } from '../base-object';
import { IMouseEvent, IPointerEvent } from './i-events';
export interface ITransformerConfig {
    isCropper?: boolean;
    hoverEnabled?: boolean;
    hoverEnterFunc?: Nullable<(e: IPointerEvent | IMouseEvent) => void>;
    hoverLeaveFunc?: Nullable<(e: IPointerEvent | IMouseEvent) => void>;
    rotateEnabled?: boolean;
    rotationSnaps?: number[];
    rotationSnapTolerance?: number;
    rotateAnchorOffset?: number;
    rotateSize?: number;
    rotateCornerRadius?: number;
    borderEnabled?: boolean;
    borderStroke?: string;
    borderStrokeWidth?: number;
    borderDash?: number[];
    borderSpacing?: number;
    resizeEnabled?: boolean;
    enabledAnchors?: number[];
    anchorFill?: string;
    anchorStroke?: string;
    anchorStrokeWidth?: number;
    anchorSize?: number;
    anchorCornerRadius?: number;
    keepRatio?: boolean;
    centeredScaling?: boolean;
    flipEnabled?: boolean;
    ignoreStroke?: boolean;
    boundBoxFunc?: Nullable<(oldBox: BaseObject, newBox: BaseObject) => BaseObject>;
    useSingleNodeRotation?: boolean;
    shouldOverdrawWholeArea?: boolean;
    zeroLeft?: number;
    zeroTop?: number;
}
